summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authormayeut <mayeut@users.noreply.github.com>2015-10-10 18:45:58 +0200
committermayeut <mayeut@users.noreply.github.com>2015-10-10 18:45:58 +0200
commitc3493063b9a497f0ba39acbf38b658d29615ba7c (patch)
tree532f3919ee410327e95493da08e0b916a61c710a /tools
parent4042210416a592a90b839c68a50a8fd94d0142ce (diff)
correct OPJ_SITE
Diffstat (limited to 'tools')
-rwxr-xr-xtools/travis-ci/run.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tools/travis-ci/run.sh b/tools/travis-ci/run.sh
index a2633aa0..6b5a9949 100755
--- a/tools/travis-ci/run.sh
+++ b/tools/travis-ci/run.sh
@@ -45,6 +45,12 @@ if [ "${TRAVIS_REPO_SLUG:-}" != "" ]; then
if [ "${OPJ_OWNER}" == "uclouvain" ]; then
OPJ_DO_SUBMIT=1
fi
+elif [ "${APPVEYOR_REPO_NAME:-}" != "" ]; then
+ OPJ_OWNER=$(echo "${APPVEYOR_REPO_NAME}" | sed 's/\(^.*\)\/.*/\1/')
+ OPJ_SITE="${OPJ_OWNER}.appveyor.com"
+ if [ "${OPJ_OWNER}" == "uclouvain" ]; then
+ OPJ_DO_SUBMIT=1
+ fi
else
OPJ_SITE="$(hostname)"
fi
@@ -159,7 +165,7 @@ export OPJ_BINARY_DIR=$(opjpath -m ${PWD}/build)
export OPJ_BUILD_CONFIGURATION=${OPJ_CI_BUILD_CONFIGURATION}
export OPJ_DO_SUBMIT=${OPJ_DO_SUBMIT}
-ctest -S ${OPJ_SOURCE_DIR}/tools/ctest_scripts/travis-ci.cmake -VV || true
+ctest -S ${OPJ_SOURCE_DIR}/tools/ctest_scripts/travis-ci.cmake -V || true
# ctest will exit with various error codes depending on version.
# ignore ctest exit code & parse this ourselves
set +x